Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.util
Class Conversions.MultiPropertyValue

    java.lang.Object
      org.jboss.seam.util.Conversions.MultiPropertyValue

All Implemented Interfaces:
  Serializable, Conversions.PropertyValue

Enclosing class:
  Conversions

    public static class Conversions.MultiPropertyValue

extends Object
implements Conversions.PropertyValue

See Also:
  Serialized Form

Constructor Summary
`Conversions.MultiPropertyValue(String[] strings)`

Method Summary
`Map<String,String>` | `getKeyedValues()`
`String[]` | `getMultiValues()`
`String` | `getSingleValue()`
`boolean` | `isAssociativeValued()`
`boolean` | `isExpression()`
`boolean` | `isMultiValued()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Conversions.MultiPropertyValue

    public Conversions.MultiPropertyValue(String[] strings)

Method Detail

### getMultiValues

    public String[] getMultiValues()

  Specified by:
    `getMultiValues` in interface `Conversions.PropertyValue`

### getSingleValue

    public String getSingleValue()

  Specified by:
    `getSingleValue` in interface `Conversions.PropertyValue`

### getKeyedValues

    public Map<String,String> getKeyedValues()

  Specified by:
    `getKeyedValues` in interface `Conversions.PropertyValue`

### isMultiValued

    public boolean isMultiValued()

  Specified by:
    `isMultiValued` in interface `Conversions.PropertyValue`

### isAssociativeValued

    public boolean isAssociativeValued()

  Specified by:
    `isAssociativeValued` in interface `Conversions.PropertyValue`

### isExpression

    public boolean isExpression()

  Specified by:
    `isExpression` in interface `Conversions.PropertyValue`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD